routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

Route::get('/', [App\Http\Controllers\Admin\HomeController::class, 'index'])->name('home.index');


Route::get("questions/{question}/duplicate",[App\Http\Controllers\Admin\QuestionController::class,"duplicate"])->name("questions.duplicate");
Route::resource("questions",App\Http\Controllers\Admin\QuestionController::class);

Route::resource("orders",App\Http\Controllers\Admin\OrderController::class);
Route::resource("invoices",App\Http\Controllers\Admin\InvoiceController::class);
Route::resource("users",App\Http\Controllers\Admin\UserController::class);
Route::get("coupons/data-table", [App\Http\Controllers\Admin\CouponController::class,"dataTable"])->name("coupons.data-table");
Route::resource("coupons",App\Http\Controllers\Admin\CouponController::class);


Route::get("settings", [App\Http\Controllers\Admin\SettingController::class,"edit"])->name("settings.edit");
Route::put("settings", [App\Http\Controllers\Admin\SettingController::class,"update"])->name("settings.update");

Route::get("types/data-table/{type}", [App\Http\Controllers\Admin\TypeController::class,"dataTable"])->name("types.data-table");
Route::get("types/order-status", [App\Http\Controllers\Admin\TypeController::class,"orderStatus"])->name("types.order-status");
Route::get("types/business-types", [App\Http\Controllers\Admin\TypeController::class,"businessTypes"])->name("types.business-types");
Route::resource("types",App\Http\Controllers\Admin\TypeController::class)->except("index");

Route::match(["get","put"],'actions/{action}/status', [App\Http\Controllers\Admin\ActionController::class, 'updateStatus'])->name('actions.update_status');
Route::match(["get","put"],'actions/{details}/manage/{offset?}', [App\Http\Controllers\Admin\ActionController::class, 'manage'])->name('actions.manage');
Route::get('orders/{invoice:slug}/manage', [App\Http\Controllers\Admin\TrackingController::class, 'manage'])->name('orders.manage');

Route::get('transactions/{transaction}/details', [App\Http\Controllers\Admin\TransactionController::class, 'details'])->name('transactions.details');

routes/web.php
<?php

use App\Models\Order\Order;
use App\Models\Question\Question;
use App\Models\User\User;
use App\Notifications\NewOrder;
use Illuminate\Support\Facades\Notification;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::prefix(LaravelLocalization::setLocale())->middleware(['localeSessionRedirect', 'localizationRedirect'])->group(function () {
    Route::get('/', [App\Http\Controllers\Web\HomeController::class, 'index'])->name('home');

    Route::get('orders', [App\Http\Controllers\Web\OrderController::class, 'index'])->name('orders.index');
    Route::get('orders/{question:key}/create', [App\Http\Controllers\Web\OrderController::class, 'create'])->name('orders.create');
    Route::post('orders/{question}/store', [App\Http\Controllers\Web\OrderController::class, 'store'])->name('orders.store');
    Route::get('invoices/{invoice:slug}/show', [App\Http\Controllers\Web\InvoiceController::class, 'show'])->name('invoices.show');
    Route::put('invoices/{invoice:slug}/apply-coupon', [App\Http\Controllers\Web\InvoiceController::class, 'applyCoupon'])->name('invoices.apply_coupon');
    Route::get('invoices/{invoice:slug}/remove-coupon', [App\Http\Controllers\Web\InvoiceController::class, 'removeCoupon'])->name('invoices.remove_coupon');

    Route::middleware(["auth"])->group(function () {
        Route::get('profile/{page?}', [App\Http\Controllers\Web\ProfileController::class, 'edit'])->name('dashboard.profile.edit');
        Route::put('profile/{page?}', [App\Http\Controllers\Web\ProfileController::class, 'update'])->name('dashboard.profile.update');
        Route::post('invoices/{invoice:slug}/checkout', [App\Http\Controllers\Web\InvoiceController::class, 'checkout'])->name('invoices.checkout');
        Route::get('dashboard', [App\Http\Controllers\DashboardController::class, 'index'])->name('dashboard.index');

        Route::post('tracking/find', [App\Http\Controllers\Web\TrackingController::class, 'find'])->name('tracking.find');
        Route::get('tracking/search', [App\Http\Controllers\Web\TrackingController::class, 'search'])->name('tracking.search');
        Route::get('tracking/{invoice:slug}/show', [App\Http\Controllers\Web\TrackingController::class, 'show'])->name('tracking.show');
    });

    Route::match(["get", "put"], 'actions/{action}/status', [App\Http\Controllers\Web\ActionController::class, 'updateStatus'])->name('actions.update_status');

});


Route::post('transaction/integrates/{method}/{gateway}/process-callback', [App\Http\Controllers\Web\TransactionController::class, 'processCallback']);
Route::get('transaction/integrates/{method}/{gateway}/response-callback', [App\Http\Controllers\Web\TransactionController::class, 'responseCallback']);

Route::resource("uploads", App\Http\Controllers\UploadFileController::class)->except(["show"]);
Route::post("uploads/voice-note", [App\Http\Controllers\UploadFileController::class,"voiceNote"])->name("uploads.voice_note");
Route::get("uploads/show/{storage_code}", [App\Http\Controllers\UploadFileController::class, "show"])->where('storage_code', '(.*)')->name("uploads.show");

app/Http/Controllers/Admin/HomeController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Invoice\Transaction\Transaction;
use App\Models\Order\Order;
use App\Models\Type;
use App\Models\User\Role;
use App\Models\User\User;
use App\Notifications\NewOrder;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Notification;

class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $breadcrumbs = [
            ["link" => "admin/", "name" => "Home"]
        ];
        $transactions = Transaction::query()->with(["invoice.order"])->latest()->limit(50)->get();

        $order_ids = optional(current_user()->unreadNotifications)->pluck("data.order_id") ?: [];
        $orders = Order::query()->with(["user","invoice","action"])->whereHas("user")->whereIn("id",$order_ids)->get();

        $statistics = [
            "total_users" => User::count(),
            "total_orders" => Order::query()->whereHas("user")->count(),

            "unpaid_orders" => Order::query()->whereHas("user")->whereHas("action" , function($query){
                return $query->whereNull("state_id");
            })->count(),

            "pending_orders" => Order::query()->whereHas("action" , function($query){
                return $query->where("state_id",optional(Type::where("key", "pending")->first())->id);
            })->count(),

            "full_paid_orders" => Order::query()->whereHas("invoice" , function($query){
                return $query->where("state",1);
            })->count(),

            "approved_orders" => Order::query()->whereHas("action" , function($query){
                return $query->where("approval",1);
            })->count(),
        ];



        return view("admin.pages.home.index",compact("breadcrumbs","transactions","orders","statistics"));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/Web/HomeController.php
<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Models\Question\Question;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('web.pages.orders.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/admin/pages/home/index.blade.php
@extends('layouts.contentLayoutMaster')

{{-- title --}}
@section('title','Statistics & Analytics')


@section('vendor-styles')
    <link rel="stylesheet" type="text/css" href="{{asset('assets/vendors/css/charts/apexcharts.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('assets/vendors/css/extensions/swiper.min.css')}}">
@endsection
@section('page-styles')
    <link rel="stylesheet" type="text/css" href="{{asset('assets/css/pages/dashboard-ecommerce.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('assets/css/pages/app-invoice.css')}}">
@endsection
@section('content')
    @include("components.remote-modal-content")
    <!-- Dashboard Analytics Start -->
    <section id="dashboard-analytics" class="invoice-list-wrapper ">
        <div class="row">
            <div class="col-sm-2  ">
                <div class="card text-center">
                    <div class="card-content">
                        <div class="card-body py-1">
                            <div class="badge-circle badge-circle-lg badge-circle-light-danger mx-auto mb-50">
                                <i class="bx bx-user font-medium-5"></i>
                            </div>
                            <div class="text-muted line-ellipsis">Total Users</div>
                            <h3 class="mb-0">{{$statistics["total_users"]}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-2 ">
                <div class="card text-center">
                    <div class="card-content">
                        <div class="card-body py-1">
                            <div class="badge-circle badge-circle-lg badge-circle-light-primary mx-auto mb-50">
                                <i class="bx bx-shopping-bag font-medium-5"></i>
                            </div>
                            <div class="text-muted line-ellipsis">Total Orders</div>
                            <h3 class="mb-0">{{$statistics["total_orders"]}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-8  ">
                <div class="card">
                    <div class="card-body py-1">
                <div class="pt-1">
                    <div class="row">
                        <div class="col-md-3 col-sm-6 mb-2">
                            <div class="d-flex flex-column">
                                <span>UnPaid - Orders</span>
                                <div class="d-flex align-items-center">
                                    <div class="badge-circle badge-circle-lg badge-circle-light-secondary flex-column mr-1">
                                        <i class='bx bx-x-circle text-danger font-medium-4'></i>
                                    </div>
                                    <h4 class="mb-0">{{$statistics["unpaid_orders"]}}</h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6  mb-2">
                            <div class="d-flex flex-column">
                                <span>Pending Orders</span>
                                <div class="d-flex align-items-center">
                                    <div class="badge-circle badge-circle-lg badge-circle-light-secondary flex-column mr-1">
                                        <i class='bx bx-time-five text-info font-medium-4'></i>
                                    </div>
                                    <h4 class="mb-0">{{$statistics["pending_orders"]}}</h4>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-3 col-sm-6 mb-2">
                            <div class="d-flex flex-column">
                                <span>Full Paid - Orders</span>
                                <div class="d-flex align-items-center">
                                    <div class="badge-circle badge-circle-lg badge-circle-light-secondary flex-column mr-1">
                                        <i class='bx bx-dollar-circle text-success font-medium-4'></i>
                                    </div>
                                    <h4 class="mb-0">{{$statistics["full_paid_orders"]}}</h4>
                                </div>
                            </div>
                        </div>


                        <div class="col-md-3 col-sm-6  mb-2">
                            <div class="d-flex flex-column">
                                <span>Approved - Orders</span>
                                <div class="d-flex align-items-center">
                                    <div class="badge-circle badge-circle-lg badge-circle-light-secondary flex-column mr-1">
                                        <i class='bx bx-check-circle text-success font-medium-4'></i>
                                    </div>
                                    <h4 class="mb-0">{{$statistics["approved_orders"]}}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
            </div>


            <div>

            </div>

        </div>
        <div class="h4">New Orders </div>
        <div class="table-responsive">
            <table class="table invoice-data-table dt-responsive nowrap" style="width:100%">
                <thead>
                <tr>
                    <th>
                        <span class="align-middle">Order#</span>
                    </th>
                    <th>Type</th>
                    <th>User</th>
                    <th>ORDER STATUS</th>
                    <th class="font-small-2 text-center">PAYMENT STATUS</th>
                    <th class="text-center"></th>
                </tr>
                </thead>
                <tbody>
                @foreach($orders as $order)
                    <tr>
                        <td>
                            <a href="{{route('admin.invoices.show',$order->invoice->id)}}">{{$order->invoice->slug}}</a>
                        </td>
                        <td><span class="invoice-amount font-weight-bold">{{$order->main_question}}</span></td>
                        <td><span class="invoice-amount">{{optional($order->user)->full_name}}</span></td>
                        <td><div class="{{optional($order->action->status)->class}} font-small-2">{{ucwords(optional($order->action->status)->name)}}</div></td>
                        <td class="text-center">
                            @if($order->invoice->state == "full-paid")
                                <div class="badge badge-light-success badge-pill">Full PAID</div>
                            @elseif($order->invoice->state == "half-paid")
                                <div class="badge badge-light-primary badge-pill">50% PAID</div>
                            @else
                                <div class="badge badge-light-danger badge-pill">UNPAID</div><br>
                            @endif
                        </td>
                        <td class="text-center">
                            <div class="invoice-action">
                                <a href="{{route('admin.orders.manage',$order->invoice->slug)}}" class="btn btn-primary text-white py-50">
                                    <i class="bx bx-target-lock"></i> <span class="align-center ml-25">Manage</span>
                                </a>
                            </div>
                        </td>
                    </tr>
                @endforeach

                </tbody>
            </table>
        </div>

        <hr>
        <div class="h4">Last Transactions </div>
        <div class="table-responsive">
            <table class="table invoice-data-table dt-responsive nowrap" style="width:100%">
                <thead>
                <tr>

                    <th>
                        <span class="align-middle">Order#</span>
                    </th>
                    <th>Trans ID</th>
                    <th>Ref ID</th>
                    <th>Amount</th>
                    <th>Status - Response</th>
                    <th class="font-small-1 text-center">Success</th>
                    <th class="text-center"></th>
                </tr>
                </thead>
                <tbody>
                @foreach($transactions as $transaction)
                    <tr>
                        <td>
                            <a href="{{$transaction->invoice->order ? route('admin.invoices.show',$transaction->invoice->id) : 'javascript:void(0);'}}" @if(is_null($transaction->invoice->order))  class="text-light-secondary" style="text-decoration:line-through !important;cursor: default;" @endif>{{$transaction->invoice->slug}}</a>
                        </td>
                        <td><span class="">{{$transaction->getMeta("trans_id")}}</span></td>
                        <td><span class="">{{$transaction->getMeta("order_id")}}</span></td>
                        <td><span class="invoice-amount">{{$transaction->amount}} EGP</span></td>
                        <td class="text-muted"> {{ucfirst($transaction->state)}} - {{ucfirst($transaction->payment_status)}} - {{$transaction->getMeta("process_data_message")}}</td>
                        <td class="text-center">{!!  $transaction->getMeta("success") ? "<i class='bx bx-check-circle text-success'></i>" : "<i class='bx bx-x-circle text-danger'></i>"!!}</td>
                        <td class="text-center">
                            <div class="invoice-action">
                                <button  class="border-0 bg-transparent text-white toggle-remote-modal text-info" data-modal_add_class="modal-lg "  data-toggle="tooltip"  data-original-title="More Details" data-placement="top"
                                         data-url="{{route("admin.transactions.details",$transaction->id)}}" data-target="#transaction-details-modal">
                                    <i class="bx bx-show-alt font-medium-3"></i>
                                </button>
                            </div>
                        </td>
                    </tr>
                @endforeach

                </tbody>
            </table>
        </div>

    </section>
    <!-- Dashboard Analytics end -->
@endsection


{{-- page scripts --}}
@push('scripts')
    <script>

        var dataListView = $( ".invoice-data-table" ).DataTable({
            "iDisplayLength": 10,
            "bSort" : false,
            columnDefs: [
                {

                },
            ],
            //order: [2, 'asc'],
            dom:
                '<"top d-flex flex-wrap"<"action-filters flex-grow-1"f><"actions action-btns d-flex align-items-center">><"clear">rt<"bottom"p>',
            language: {
                search: "",
                searchPlaceholder: "Search Transaction"
            },

            responsive: {
                /* details: {
                     type: "column",
                     target: 0
                 }*/
            }
        });
    </script>
@endpush